Como resolver o problema de não reconhecer h264 e mp4a no openSUSE

Hoje vou mostrar como instalar os codecs para reconhecer o h264 e mp4a no openSUSE.

Se por acaso, ao abrir o VLC, algum arquivo com extensão .mp4, você se deparar com essa mensagem:

Mensagem de erro referente a h264 e mp4a

A solução é simples, primeiro remova o VLC via gerenciador de aplicativos do YaST, e se possível remova os codecs instalados (citados abaixo no zypper in).

Desinstalação do VLC e codecs

Após a remoção, faça a instalação dos pacotes e codecs, utilizando o repositório packman.

#> zypper addrepo -f http://packman.inode.at/suse/openSUSE_Tumbleweed/ packman

#> zypper install vlc vlc-codecs k3b-codecs ffmpeg lame gstreamer-plugins-libav gstreamer-plugins-bad gstreamer-plugins-ugly gstreamer-plugins-good gstreamer-fluendo-mp3 libdvdcss2

#> zypper dist-upgrade --from packman

Referência: https://forums.opensuse.org/showthread.php/522863

Bom pessoal por hoje é só.

Abraços e até a próxima.

Dan Atilio (Daniel Atilio)
Especialista em Engenharia de Software pela FIB. Entusiasta de soluções Open Source. E blogueiro nas horas vagas.

Deixe uma resposta